{% load purchase_info_tags %}
{% load thumbnail %}
{% load static %}
{% for line in request.basket.all_lines %}
    {% with product=line.product %}
        {% purchase_info_for_line request line as session %}
        <div class="basket-item js-row-container loading" data-pk={{ line.pk }}>
            <div class="loading__overlay"></div>
            <form class="delete-from-basket-form" method="POST" action="{% url 'basket_extension:line_delete' line.pk %}?render_basket=True"
                data-pk={{ line.pk }}>
                {% csrf_token %}
                <button class="submit item__delete">
                    <img src="{% static 'img/icons/24px/delete.svg' %}" alt="" class="img-svg">
                </button>
            </form>
            {% with image=product.primary_image %}
                {% thumbnail image.original "70x70" upscale=False as thumb %}
                    <a href="{{ product.get_absolute_url }}" class="item__img">
                        <img src="{{ thumb.url }}" alt="{{ product.get_title }}"/>
                    </a>
                {% endthumbnail %}
            {% endwith %}
            <div class="item__name">
                <a href="{{ product.get_absolute_url }}">
                    {{ line.product.get_title }}
                </a>
                {% if line.options_summary|length %}
                    <div class="additional">Доп. опции: {{ line.options_summary }}</div>
                {% endif %}
            </div>
            {% include "web/partials/product_purchase_quantity_form.html" with line=line render_small_basket=False %}
            <div class="item-price">
                <div class="current-price {% if line.has_range_discount or line.has_discount %} orange {% endif %}">
                    {% if line.is_tax_known %}
                        {{ line.line_price_incl_tax_incl_discounts|floatformat:"0" }}
                    {% else %}
                        {{ line.line_price_excl_tax_incl_discounts|floatformat:"0" }}
                    {% endif %}
                    <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
                </div>
                {% if line.has_range_discount or line.has_discount %}
                    <div class="past-price">
                        {% if line.is_tax_known %}
                            {{ line.line_price_incl_tax|floatformat:"0" }}
                        {% else %}
                            {{ line.line_price_excl_tax|floatformat:"0" }}
                        {% endif %}
                        <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей"></div>
                {% endif %}
            </div>
        </div>
        {% if line.has_present %}
            <div class="basket-item gift-item">
                <div class="gift__box">
                    <img src="{% static 'img/icons/tags/gift.png' %}" title="Подарок к покупке" alt="" class="gift-icon">
                </div>
                {% with image=product.present.primary_image %}
                    {% thumbnail image.original "70x70" upscale=False as thumb %}
                        <a href="{{ product.present.get_absolute_url }}" class="item__img">
                            <img src="{{ thumb.url }}" alt="{{ product.present.get_title }}"/>
                        </a>
                    {% endthumbnail %}
                {% endwith %}
                <div class="item__name">
                    <a href="#">{{ product.present.title }}</a>
                </div>
                <div class="item__count">
                    <div class="minus"><img src="{% static 'img/icons/16px/Minus.svg' %}" alt="" class="img-svg"></div>
                    <input type="text" name="quantity" value="{{ line.quantity }}" class="valid" aria-invalid="false">
                    <div class="plus"><img src="{% static 'img/icons/16px/Plus.svg' %}" alt="" class="img-svg"></div>
                </div>
                <div class="item-price">
                    <div class="current-price orange">
                        0 <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
                    </div>
                    <div class="past-price">
                        {% widthratio product.present.default_price.price.excl_tax 1 line.quantity %}
                        <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
                    </div>
                </div>
            </div>
        {% endif %}
    {% endwith %}
{% endfor %}